> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indiqai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Timeline do Cliente

> Retorna histórico cronológico de eventos de um cliente

# Timeline do Cliente

Retorna os eventos do cliente em ordem temporal, sempre filtrados pela empresa da API Key.

## Filtros

* `limit` e `offset` para paginação simples
* `kind` e `category` para recortes de evento

## Status comuns

* `200` timeline retornada
* `401` API Key inválida ou revogada
* `403` plano sem `api_access`
* `404` cliente não encontrado na empresa da key


## OpenAPI

````yaml GET /api/v1/public/clients/{client_id}/timeline
openapi: 3.1.0
info:
  contact:
    email: support@indiqai.com
    name: IndiqAI Support
    url: https://indiqai.com/
  description: Especificação OpenAPI da API Pública IndiqAI.
  license:
    name: Proprietary
    url: https://indiqai.com/license
  title: IndiqAI API Pública
  version: 1.5.0
servers:
  - description: Produção
    url: https://api.indiqai.com
security: []
paths:
  /api/v1/public/clients/{client_id}/timeline:
    get:
      tags:
        - API Pública
      summary: Timeline do cliente
      description: >-
        Retorna timeline de eventos do cliente, filtrada por empresa (sem leak
        cross-tenant).
      operationId: get_client_timeline_api_v1_public_clients__client_id__timeline_get
      parameters:
        - in: path
          name: client_id
          required: true
          schema:
            title: Client Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: kind
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Kind
        - in: query
          name: category
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - description: Chave de API
          in: header
          name: X-API-Key
          required: true
          schema:
            description: Chave de API
            title: X-Api-Key
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ClientTimelineEvent'
                title: >-
                  Response Get Client Timeline Api V1 Public Clients  Client Id 
                  Timeline Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ClientTimelineEvent:
      description: Evento da timeline de um cliente (filtrado por empresa).
      properties:
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        empresa_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Empresa Id
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        id:
          title: Id
          type: string
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
      required:
        - id
      title: ClientTimelineEvent
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````